Update a recurring event
PATCH /api/calendar/recurring/{id}
PATCH
/api/calendar/recurring/{id}
Updates a recurring event pattern. Use updateType to control which instances are affected.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
UUID identifier
string format: uuid
Example
550e8400-e29b-41d4-a716-446655440000UUID identifier
Request Body
Section titled “Request Body ”object
title
string
description
string
location
string
rrule
RFC 5545 RRULE format
string
startTime
Time of day (HH:MM)
string
durationMinutes
integer
timezone
string
startDate
Start date (YYYY-MM-DD)
string
endDate
string
rehearsalType
string
focusSongIds
Array<string>
agenda
string
roomBookingRef
string
cost
number
costSplitAmongAttendees
boolean
notes
string
updateType
How to update instances: this (only pattern), future (pattern + future instances), all (pattern + all instances)
string
Responses
Section titled “ Responses ”Recurring event updated
object
ok
required
boolean
Validation error
object
ok
required
boolean
error
required
string
Unauthorized
object
ok
required
boolean
error
required
string
Recurring event not found
object
ok
required
boolean
error
required
string